### Enumeration

# Gimp ModuleState

#### Declaration

    enum Gimp.ModuleState

#### Description [src]

The possible states a `GimpModule` can be in.

#### Members

`GIMP_MODULE_STATE_ERROR`

  Missing `gimp_module_register()` function or other error.

  - Value: `0`
  - Available since: 3.0
`GIMP_MODULE_STATE_LOADED`

  An instance of a type implemented by this module is allocated.

  - Value: `1`
  - Available since: 3.0
`GIMP_MODULE_STATE_LOAD_FAILED`

  Gimp_module_register() returned `FALSE`.

  - Value: `2`
  - Available since: 3.0
`GIMP_MODULE_STATE_NOT_LOADED`

  There are no instances allocated of types implemented by this module.

  - Value: `3`
  - Available since: 3.0